# Uses of Class
it.tdlight.jni.TdApi.MessageReplyTo

## Uses of TdApi.MessageReplyTo in it.tdlight.jni

Subclasses of TdApi.MessageReplyTo in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageReplyToMessage`
Describes a message replied by a given message.
`static final class`
`TdApi.MessageReplyToStory`
Describes a story replied by a given message.
Fields in it.tdlight.jni declared as TdApi.MessageReplyTo
Modifier and Type
Field
Description
`TdApi.MessageReplyTo`
TdApi.Message.`replyTo`
Information about the message or the story this message is replying to; may be null if none.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageReplyTo
Modifier
Constructor
Description
``
`Message(long id, TdApi.MessageSender senderId, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean canBeEdited, boolean canBeForwarded, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetAddedReactions, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetReadDate, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean canReportReactions, boolean hasTimestampedMedia, boolean isChannelPost, boolean isTopicMessage, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageImportInfo importInfo, TdApi.MessageInteractionInfo interactionInfo, TdApi.UnreadReaction[] unreadReactions, TdApi.MessageReplyTo replyTo, long messageThreadId, long savedMessagesTopicId, TdApi.MessageSelfDestructType selfDestructType, double selfDestructIn, double autoDeleteIn, long viaBotUserId, int senderBoostCount, String authorSignature, long mediaAlbumId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message.